#ifndef DATASET_H
#define DATASET_H

#include <vector>
#include <limits>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <iostream>
#include <fstream>

#define SAMPLES_MAX 32
#define TIMESERIES_MAX 1000

using namespace std;

class DataSet
{
public:
    DataSet();
    vector<double> originalTimeSeries[TIMESERIES_MAX];
    vector<double> perturbatedTimeSeries[TIMESERIES_MAX][SAMPLES_MAX];
    void normalize(vector<double> & timeSeries);

    void perturbateNothing();
    void perturbateNormal(double mu, double sigma);
    void randomWalks(long n, long length);
    void readFromFile(const char *src);
    void writeMultiSamplesDir(const char *dst);

    int N;
};

#endif // DATASET_H
