#ifndef EUCLIDEAN_H
#define EUCLIDEAN_H


#include "timeseries.h"
#include "timeseriescollection.h"

#include <vector>

class Euclidean
{
public:
    Euclidean(TimeSeriesCollection &collection, bool exact = false);
    vector<int> rangeQuery(TimeSeries &ts, double threshold);
    double distance(TimeSeries &ts1, TimeSeries &ts2, int n = -1);

    int largestDistanceId;
    TimeSeriesCollection collection;

    double getHeuristicThreshold(double abovePercentual);

    bool exact;

};

#endif // EUCLIDEAN_H
